linux: 3.16.0-12.17 -proposed tracker

Bug #1363032 reported by Andy Whitcroft on 2014-08-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel Development Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Prepare-package
Medium
Andy Whitcroft
Prepare-package-meta
Medium
Andy Whitcroft
Prepare-package-signed
Medium
Andy Whitcroft
Promote-to-release
Medium
Ubuntu Package Archive Administrators
linux (Ubuntu)
Medium
Unassigned
Utopic
Medium
Unassigned

Bug Description

This bug is for tracking the 3.16.0-12.17 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-Prepare-package-start:Friday, 29. August 2014 10:53 UTC
kernel-phase-changed:Friday, 29. August 2014 20:00 UTC
kernel-Prepare-package-end:Friday, 29. August 2014 20:00 UTC
kernel-Package-testing-start:Friday, 29. August 2014 20:00 UTC
kernel-phase:PPA Testing
ppa-package-testing-start:Friday, 29. August 2014 20:00 UTC

CVE References

Andy Whitcroft (apw) on 2014-08-29
tags: added: kernel-release-tracking-bug
tags: added: utopic
Changed in kernel-development-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu Utopic):
importance: Undecided → Medium

All builds are complete, packages in this bug are available in -proposed.

description: updated
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package linux - 3.16.0-12.18

---------------
linux (3.16.0-12.18) utopic; urgency=low

  [ Paolo Pisati ]

  * Revert "[Debian] dtb: symlink /lib/firmware/(uname -r)/device-tree to
    /boot/dtb-(uname -r) to make flash-kernel happy"
  * Revert "[Debian] dtb: don't remove a symlink dereferencing an existing
    directory"
  * Revert "[Debian] dtb: don't follow symlink when checking for a
    directory"
  * Revert "[Debian] dtb: symlink from /boot/dtb-$(uname -r) to /boot/dtb"
  * Revert "[Debian] dtb: move dtbs installation to /boot/dtb-$(uname -r)"

linux (3.16.0-12.17) utopic; urgency=low

  [ Andy Whitcroft ]

  * Release Tracking Bug
    - LP: #1363032
  * Revert "[Config] Switch kernel to vmlinuz (from vmlinux) on ppc64el"

  [ dann frazier ]

  * [Config] CONFIG_ARM_GIC_V3=y

  [ Douglas Lehr ]

  * SAUCE: (no-up) PCI: Increase BAR size quirk for IBM ipr SAS Crocodile
    adapters
    - LP: #1361364

  [ Marc Dietrich ]

  * [Config] arm/tegra/d-i: framebuffer and usb support for Tegra SoCs

  [ Paolo Pisati ]

  * [Config] armhf: REGULATOR_TWL4030=y
  * [Debian] dtb: move dtbs installation to /boot/dtb-$(uname -r)
  * [Debian] dtb: symlink from /boot/dtb-$(uname -r) to /boot/dtb
  * [Debian] dtb: don't follow symlink when checking for a directory
  * [Debian] dtb: don't remove a symlink dereferencing an existing
    directory
  * [Debian] dtb: symlink /lib/firmware/(uname -r)/device-tree to
    /boot/dtb-(uname -r) to make flash-kernel happy

  [ Stefan Bader ]

  * SAUCE: x86/xen: Fix setup of 64bit kernel pagetables
    - LP: #1350522

  [ Upstream Kernel Changes ]

  * drm/tegra: add MODULE_DEVICE_TABLEs
  * kvm: iommu: fix the third parameter of kvm_iommu_put_pages
    (CVE-2014-3601)
    - LP: #1362443
    - CVE-2014-3601
  * isofs: Fix unbounded recursion when processing relocated directories
    - LP: #1362447, #1362448
    - CVE-2014-5472
  * arm64/crypto: fix makefile rule for aes-glue-%.o
  * irq-gic: remove file name from heading comment
  * irqchip: gic: Move some bits of GICv2 to a library-type file
  * irqchip: gic-v3: Initial support for GICv3
  * arm64: GICv3 device tree binding documentation
  * arm64: boot protocol documentation update for GICv3
  * KVM: arm/arm64: vgic: move GICv2 registers to their own structure
  * KVM: ARM: vgic: introduce vgic_ops and LR manipulation primitives
  * KVM: ARM: vgic: abstract access to the ELRSR bitmap
  * KVM: ARM: vgic: abstract EISR bitmap access
  * KVM: ARM: vgic: abstract MISR decoding
  * KVM: ARM: vgic: move underflow handling to vgic_ops
  * KVM: ARM: vgic: abstract VMCR access
  * KVM: ARM: vgic: introduce vgic_enable
  * KVM: ARM: introduce vgic_params structure
  * KVM: ARM: vgic: split GICv2 backend from the main vgic code
  * KVM: ARM: vgic: revisit implementation of irqchip_in_kernel
  * arm64: KVM: remove __kvm_hyp_code_{start,end} from hyp.S
  * arm64: KVM: split GICv2 world switch from hyp code
  * arm64: KVM: move HCR_EL2.{IMO,FMO} manipulation into the vgic switch
    code
  * KVM: ARM: vgic: add the GICv3 backend
  * arm64: KVM: vgic: add GICv3 world switch
  * arm64: KVM: vgic: enable GICv2 emulation on top on GICv3 hardware
  * arm64...

Read more...

Changed in linux (Ubuntu Utopic):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-09-05
description: updated

Promote-to-release is Fix Released, but some packages for this update aren't published in Launchpad, on -release pocket:

linux 3.16.0-12.17
linux-signed for version=3.16.0-12.17
linux-meta with ABI=12

description: updated
Adam Conrad (adconrad) on 2014-09-08
Changed in kernel-development-workflow:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers